%define _name linux-udf
%define prerel b3
%define cvs_date 20040826

Name: udftools
Version: 1.0.0
%define release alt1.6%prerel

%ifdef cvs_date
Release: %{release}cvs%cvs_date
%else
Release: %release
%endif

Summary: Tools for work with UDF filesystems and CD-R(W)/DVD packet writing drives
Group: Archiving/Cd burning
License: GPL
Url: http://%_name.sourceforge.net

%ifdef cvs_date
Source0: %name-%version%prerel-%cvs_date.tar.bz2
%else
Source0: http://prdownloads.sourceforge.net/%_name/%name-%version%prerel.tar.gz
%endif
Source1: %name.default
Source2: %name.init

Patch0: %name-%version%prerel.patch.bz2
Patch1: %name-wrudf-gcc4.patch

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Sun Nov 02 2003
BuildRequires: gcc-c++ libncurses-devel libreadline-devel libstdc++-devel

%description
%name includes:
- mkudffs is a tool to create a UDF(Universal Disk Format) filesystem on a device.

- pktsetup to associate packet devices with CD or DVD block
  devices, so that the packet device can then be mounted and potentially
  used as a read/write filesystem. This requires kernel support for the
  packet device, and the UDF filesystem.

- cdwrtool tool that can perform certain actions on a CD-R, CD-RW, or DVD-R
  device. Mainly these are blanking the media, formating it for use with
  the packet-cd device, and applying an UDF filesystem.

- wrudf to maintain a UDF filesystem

%prep
%ifdef cvs_date
%setup -q -n %name
%else
%setup -q -n %name-%version%prerel
%endif
%patch0 -p1
%patch1 -p1

%build
%ifdef cvs_date
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf
%endif

%configure
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_sysconfdir/{modutils.d,sysconfig}
%__mkdir_p %buildroot%_initrddir

%__cat <<__EOF__ > %buildroot%_sysconfdir/modutils.d/udf
alias block-major-97 pktcdvd
alias /dev/pktcdvd[0-9]* pktcdvd
__EOF__

%__install -m644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/%name
%__install -m755 %SOURCE2 %buildroot%_initrddir/%name

%files
%_initrddir/%name
%_bindir/*
%_man1dir/*
%_man8dir/*
%config(noreplace) %_sysconfdir/modutils.d/udf
%config(noreplace) %_sysconfdir/sysconfig/%name

%changelog
* Thu Aug 11 2005 LAKostis <lakostis at altlinux.ru> 1.0.0-alt1.6b3cvs20040826
- add missing vars to init script.

* Sat Aug 06 2005 LAKostis <lakostis at altlinux.ru> 1.0.0-alt1.5b3cvs20040826
- more init script rework.

* Fri Aug 05 2005 LAKostis <lakostis at altlinux dot ru> 1.0.0-alt1.4b3cvs20040826
- small init script corrections.
- remove bogus buildreq to gcc-g77.

* Sun Jan 23 2005 LAKostis <lakostis at altlinux dot ru> 1.0.0-alt1.3b3cvs20040826
- add patches from debian (for gcc4.0 compat).
- add init script for automatic setup packet devices 
  (idea & code from debian udftools package).
- adjust udftools.default for proper node names.
- changed group to Archiving/Cd burning cause it more realistic.

* Sun Aug 26 2004 LAKostis <lakostis at altlinux dot ru> 1.0.0-alt0.3b3cvs20040826
- update from cvs.

* Sun Aug 15 2004 LAKostis <lakostis at altlinux dot ru> 1.0.0-alt0.3b3cvs20031102
- update pktsetup.

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.2b3cvs20031102
- /etc/modutils.d/udf added.

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1b3cvs20031102
- First build for Sisyphus.
- try build cvs snapshot, not release that is too old.
